/******************************************************************************
    Program ictdatedit, builds and edit database from analyze test files,
    for ic-tester program:
    - timeset.c - source file for working with time

    Copyright (C) 2001 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/

#include <gtk/gtk.h>
#include <time.h>
#include <stdlib.h>
#include <stdio.h>

#include "ictdat.h"

void SetNewTime(void)
{
gchar pizza[50];
struct tm *t;
time_t t1;

t1=time(NULL);/* get current time */
t=gmtime(&t1);/* convert it to GTM */
sprintf(pizza,"%04d/%02d/%02d-%02d:%02d-UTC",1900+t->tm_year,1+t->tm_mon,\
t->tm_mday,t->tm_hour,t->tm_min);
gtk_entry_set_text(GTK_ENTRY (moddate), pizza);
}/* end SetNewTime() */

void tbextrcpy(const gchar *what)
{
gchar pizza[50];
struct tm *t;
time_t t1;

t1=time(NULL);t=gmtime(&t1);/* make current tiem as default */
pizza[0]=what[0];pizza[1]=what[1];pizza[2]=what[2];pizza[3]=what[3];pizza[4]=0;
t->tm_year=atoi(pizza)-1900;/* get year */
pizza[0]=what[5];pizza[1]=what[6];pizza[2]=0;t->tm_mon=atoi(pizza)-1;/* mon */
pizza[0]=what[8];pizza[1]=what[9];pizza[2]=0;t->tm_mday=atoi(pizza);/* day */
pizza[0]=what[11];pizza[1]=what[12];pizza[2]=0;t->tm_hour=atoi(pizza);/* hour */
pizza[0]=what[14];pizza[1]=what[15];pizza[2]=0;t->tm_min=atoi(pizza);/* min */
t->tm_sec=0;t1=mktime(t);/* make time */
t=gmtime(&t1);/* convert it to GTM */
sprintf(pizza,"%04d/%02d/%02d-%02d:%02d-UTC",1900+t->tm_year,1+t->tm_mon,\
t->tm_mday,t->tm_hour,t->tm_min);
gtk_entry_set_text(GTK_ENTRY (moddate), pizza);/* set time */
}/* end tbextrcpy() */
